<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full flex flex-col overflow-y-auto pb-10 shrink-0">
  <div class="flex items-center gap-3">
    <i class="fa fa-circle text-danger"></i>
    <div class="font-semibold text-lg">Data Broker offline</div>
  </div>
  <div *ngIf="(user$ | async)?.organisation; let org; else: noOrg" class="pt-10 flex flex-col">
    <div class="text-text-300">You are member of the organisation:</div>
    <div class="flex items-center gap-4 font-semibold text-lg mt-10">
      <i class="fa fa-house-user" style="font-size: 2rem"></i>
      <div>{{ org.name }}</div>
    </div>
    <div class="mt-10 text-text-300 w-96">
      But this node is <b>not</b> connected to the {{ org.name }} organisation.
    </div>
  </div>
  <ng-template #noOrg>
    <div class="w-96 pt-10 text-text-300">You can connect the Broker to your organisation</div>
  </ng-template>
  <div class="mt-12 pb-20">
    <p-button label="Connect the Node" (onClick)="connectNode()" [style]="{ width: '200px' }"></p-button>
  </div>
</div>
